.modal {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 101;
    display: none;
    background-color: rgba(27, 43, 56, .65);
    overflow: auto;
}

.modal__wrapper {
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    place-items: center;
    position: fixed;
    opacity: 1;
    z-index: 102;
    transition: 0.3s ease-in-out all;
    display: none;
    color: var(--main-text-color);
    overflow: auto;
}

.modal__wrapper.active,
.modal.active {
    display: grid;
    place-items: center;
}

.modal.active {
    display: block;
}

.modal__wrapper.active .modal__overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    background-color: rgba(27, 43, 56, .65);
}
